# vue2-ts-component-library

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```

### 打包发布到 npm
```
1. npm run lib
2. 生成 build 文件夹
3. npm publish

4. 使用组件的文件夹：npm i vue2-ts-component-library

```

## 1. vconsole （PC+移动, 都可用）

```
import myCom from '../pages/'
const { Vconsole } = myCom
Vue.use(Vconsole)

    <div id="app">
        ...
        <Vconsole :show="true" />
    </div>
    show: 默认false。是否直接显示出 vconsole

```

<img src="https://z1.ax1x.com/2023/11/08/pi16eun.jpg" alt="pi16eun.jpg" width="400px" border="0" />

## 2. 签名页面

```

import myCom from '../pages/'
const { Autograph } = myCom
Vue.use(Autograph)

<!-- 使用：该页面可以放到 PC 端中，可以外网访问到就行 -->
<div class="about">
    <Autograph user-name="王朝马汉" @resultImg="resultImg"></Autograph>
</div>

    user-name: 当前签名人员姓名
    resultImg(data: { file: any }) {
        console.log('🚀 签名信息:', data)
        // 1. 调用上传接口，上传签名图片,比如上传到 OSS，返回OSS中签名地址
        // 2. 调用接口保存用户签名信息（和当前用户挂钩）
        // 3. 弹框信息：'签名成功，请手动更新电脑端页面'
    }
    使用了插槽，如果不满意使用默认的 icon，可以替换成自己项目的
    <template #slotIcon>
        <span>@</span>
    </template>

```
<img src="https://z1.ax1x.com/2023/11/08/pi16mBq.jpg" alt="pi16mBq.jpg" width="300px" border="0" />
<img src="https://z1.ax1x.com/2023/11/08/pi16Vjs.jpg" alt="pi16Vjs.jpg" width="300px" border="0" />

## 3. 图片预览
```
父级：main.ts 中：

import tenct from 'vue2-ts-component-library';
const { ImagePreview } = tenct;
Vue.use(ImagePreview);

xxx.vue 中：

<div class="img-box">
    <img v-for="(item, i) of imgLists" :key="i" :src="item" alt="图片" @click="imgShowFun(i)" />
</div>
<image-preview
    :imgLists="imgLists"
    :index="imgIndex"
    @imgRes="imgShowFun"
/>

public imgLists=[
    'https://fuss10.elemecdn.com/a/3f/3302e58f9a181d2509f3dc0fa68b0jpeg.jpeg',
    'https://fuss10.elemecdn.com/1/34/19aa98b1fcb2781c4fba33d850549jpeg.jpeg',
    'https://fuss10.elemecdn.com/0/6f/e35ff375812e6b0020b6b4e8f9583jpeg.jpeg',
]

public imgIndex = -1

imgShowFun(i: number): void {
    this.imgIndex = i;
}

// 样式自己写就行
.img-box{
  width: 100%;
  img{
    width: 100px;
    height: auto;
    cursor: pointer;
    margin-right: 20px;
  }
}
```
